Bug 124021 - Financial functions not working
Financial functions not working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 19:43 EDT by Aaron Gaudio
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 09:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Gaudio 2004-05-22 19:43:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.12

Description of problem:
When trying to insert financial functions (possibly others), 
in particular, the 'pv' function, no documentation is available
in the dialog. If you insert the function into your sheet, you
get the message "Function implementation not available" in the cell.

In the terminal, the following error is printed:

E Unable to open module file
"/usr/lib/gnumeric/1.2.8-bonobo/plugins/fn-financial/plugin.la".
  E /usr/lib/gnumeric/1.2.8-bonobo/plugins/fn-financial/plugin.so:
undefined symbol: get_mduration



Version-Release number of selected component (if applicable):
gnumeric-1.2.8-1

How reproducible:
Always

Steps to Reproduce:
1.Open gnumeric, select a cell, go to Insert->Function... menu item.
2.Select Finance in the Category listbox.
3.Select 'pv' (or many/any others) in the Function listbox.
    

Actual Results:  No documentation is available
in the dialog. If you insert the function into your sheet, you
get the message "Function implementation not available" in the cell.

In the terminal, the following error is printed:

E Unable to open module file
"/usr/lib/gnumeric/1.2.8-bonobo/plugins/fn-financial/plugin.la".
  E /usr/lib/gnumeric/1.2.8-bonobo/plugins/fn-financial/plugin.so:
undefined symbol: get_mduration


Expected Results:  Documentation on the pv function and its arguments
appear in the Description field. 'pv' can be used as normal in the
spreadsheet, and no error on the terminal seen.

Additional info:

Rebuilding the src rpm for gnumeric did not help.
Comment 1 Chris Winne 2004-07-01 01:30:32 EDT
I did find the following thread in googlegroups (
http://groups.google.com/groups?q=get_mduration&hl=en&lr=&ie=UTF-8&selm=1JO8j-20C-7%40gated-at.bofh.it&rnum=1
) but no resolution specified.  A search of http://bugzilla.gnome.org
yielded no results.
Comment 2 Chris Winne 2004-07-01 02:16:05 EDT
I do note that the current development version (6/15/2004 date on
mirror) gnumeric-1.2.12-2.i386.rpm appears to not have this problem. 
Comment 3 Aaron Gaudio 2004-07-01 18:12:18 EDT
gnumeric 1.3 (built from gnumeric devel sources) also does not have
this problem.
Comment 4 Caolan McNamara 2004-07-28 09:47:34 EDT
verfied working with 1.2.13 as pushed to FC3, 1.2.12 should also be ok,
see also issue 126374

Note You need to log in before you can comment on or make changes to this bug.